Search for Appointment objects matching the supplied search criteria
GET/calendar-backend/api/v1/appointments/search
Search for Appointment objects matching the supplied search criteria.
-
- Search by field: /search?title=This is a title&start=2013-06-22T13:00:00.000 Searchable fields are id
-
qpId
-
title
-
status
-
start
-
end
-
- Time (start and end) should be set in UTC, but will be returned in the given time zone
-
- Search by related object: /search?branch=4. Appointment have direct relationships with Branch and Resource.
-
- Pagination: ?limit=10&offset=1 (return items 10-19
-
- Internet Explorer cache break: Due to problems with Internet Explorer caching REST requests, a 'nocache' parameter can also be added with a random number as value, e.g: ?nocache=43242356345234
Example of usage :
curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/search?branch={branchId}&timeZoneBranchId={timeZoneBranchId}&start=YYYY-MM-DDTHH:MM&end=YYYY-MM-DDTHH:MM"
All possible search parameter example.
curl -i -u user:password "http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/search?branch=1&start=2020-09-02T09%3A30&end=2020-09-02-T11%3A00&resource=2&id=1&title=hahah&status=20&publicId=d5a506613bf87f5fd4ce335ac235ed4cf24a2923d7970cf13716c83f91927993&qpId=142"
Responses
- 200
A Json list of com.qmatic.qp.calendar.rest.dto.AppointmentDTO